using System;

internal sealed class Delegate523 : MulticastDelegate
{
	public extern string Invoke();

	public static string smethod_0(Delegate523 delegate523_1)
	{
		return delegate523_1();
	}

	public extern Delegate523(object object_0, IntPtr intptr_0);

	static Delegate523()
	{
		Class10.smethod_13(typeof(Delegate523).TypeHandle);
	}

	internal static Delegate523 delegate523_0;
}
